footer {
    background-color: #000000de;
    color: white;
    text-align: center;
    padding: 40px 20px;
}

.footer-container {
    max-width: 600px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

footer .logo img {
    width: 100px;
    margin-bottom: 20px;
}

footer .mensaje {
    font-size: 1.2rem;
    font-weight: bold;
    margin-bottom: 20px;
}

/* Formulario */
.subscription-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
}

/* Grupo del input y botón */
.subscription-form .input-group {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 320px;
    border: 1px solid #ccc;
    border-radius: 50px;
    overflow: hidden;
    background-color: white;
}

.subscription-form .input-group input {
    border: none;
    padding: 10px;
    font-size: 1rem;
    flex: 1;
    outline: none;
}

.subscription-form .input-group button {
    background-color: #f4a261;
    color: white;
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s;
}

.subscription-form .input-group button:hover {
    background-color: #e76f51;
}

.subscription-form .checkbox-container {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 0.9rem;
    color: #cccccc;
}

/* Redes sociales */
footer .social-icons {
    margin-top: 20px;
    display: flex;
    gap: 20px;
}

footer .social-icons a {
    width: 40px;
    height: 40px;
    line-height: 40px;
    border-radius: 50%;
    background-color: white;
    color: #00104A;
    text-align: center;
    font-size: 1.2rem;
    display: inline-block;
    transition: background-color 0.3s, color 0.3s;
}

footer .social-icons a:hover {
    background-color: #f4a261;
    color: white;
}

/* Derechos de autor */
footer .copyright {
    margin-top: 20px;
    font-size: 0.9rem;
    color: #cccccc;
}



/* Ajustes para pantallas pequeñas */
@media (max-width: 768px) {
    .subscription-form .input-group {
        max-width: 100%; /* Asegura que ocupe todo el ancho disponible */
        flex-direction: row;
    }

    .subscription-form .input-group input {
        font-size: 0.9rem; /* Reduce un poco el tamaño del texto */
    }

    .subscription-form .input-group button {
        font-size: 0.9rem;
        padding: 11px 12px;
        max-width: 60px; /* Ajusta el ancho del botón */
    }
}